package de.intevation.artifactdatabase;

import java.util.Locale;

import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.PreferredLocale;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultCallMeta
implements   CallMeta
{
    protected PreferredLocale [] languages;

    public DefaultCallMeta() {
    }

    public DefaultCallMeta(PreferredLocale [] languages) {
    }

    public PreferredLocale [] getLanguages() {
        return languages;
    }

    public Locale getPreferredLocale(Locale [] locales) {
        if (locales == null || locales.length == 0) {
            return null;
        }

        return locales[0];
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
